package eu.beesoft.gantt.demo;

import java.util.Date;
import javax.swing.DefaultCellEditor;
import javax.swing.JTextField;
import eu.beesoft.gaia.swing.JDateField;

@SuppressWarnings ("serial")
public class DateCellEditor extends DefaultCellEditor {

	private JDateField dateField;



	public DateCellEditor () {
		super (new JTextField ());
		dateField = new JDateField ();
		editorComponent = dateField;
		this.clickCountToStart = 1;
		delegate = new EditorDelegate () {

			@Override
			public void setValue (Object value) {
				dateField.setDate ((Date) value);
			}



			@Override
			public Object getCellEditorValue () {
				return dateField.getDate ();
			}
		};
		dateField.getPopupCalendar ().setActionListener (delegate);
		dateField.getDateEditor ().addActionListener (delegate);
	}
}
